// Persistence of Vision Ray Tracer Scene Description File
// File:  butterfly3.pov
// Vers:  3
// Desc:  a butterfly
// Auth:  Peter Engels
// EMail: ENGELSPJ@AOL.COM


 #include "colors.inc"
 #include "skies.inc"
 #include "textures.inc"

  #declare FastButterfly=0
  #declare quick=0        //set to render without Gras & Sky

 background { Gray50}

  camera {
    location  <0, 6, -24>
    direction <1,1,2>
    look_at   <0,3.8,0>
         }

  light_source { < 00, 50, -50> color White*1.5}
  //light_source { <-20, 45, -20> color White }

//first create some flowers

#declare irad=2
#declare olength=2.3
#declare owidth=0.55
#declare icol=pigment{color <1,0.5,0>}
#declare ocol=pigment{color <0,0,1>}
#declare onum=20
#include "flower.inc"

object{
union{
sphere{0,(irad+orad/4) scale <1,1,0.3> pigment{icol}normal{bumps 1 scale 0.08}finish{ambient 0.2} }
#declare i=0
#while (i<onum)
sphere{<0,olength+irad/2,0>,olength scale<owidth,1,.03> rotate <0,0,(-360/onum)*i>
texture{
     pigment {color <.3,0,1> }
     finish{ambient 0.2 phong .4 phong_size 20}}
      }

#declare i=i+1
#end }
no_shadow
rotate<80,0,0>
}

#declare irad=1.5
#declare olength=2.5
#declare owidth=0.35
#declare icol=pigment{color <1,.7,.2>}
#declare ocol=pigment{color <1,1,0.4>}
#declare onum=30
#include "flower.inc"

object{
union{
sphere{0,(irad+orad/4) scale <1,1,0.3> pigment{icol}normal{bumps 1 scale 0.08}finish{ambient 0.2} }
#declare i=0
#while (i<onum)
sphere{<0,olength+irad/2,0>,olength scale<owidth,1,.03> rotate <0,0,(-360/onum)*i>
texture{
     pigment {ocol}
     finish{ambient 0.1 phong .3 phong_size 20}}
      }

#declare i=i+1
#end }
no_shadow
rotate<80,0,0>
translate<8,0,25>
}

#declare irad=1.9
#declare olength=2.0
#declare owidth=0.60
#declare icol=pigment{color <1,0.6,0.3>}
#declare ocol=pigment{color <1,0,0>}
#declare onum=20
#include "flower.inc"

object{
union{
sphere{0,(irad+orad/4) scale <1,1,0.3> pigment{icol}normal{bumps 1 scale 0.08}finish{ambient 0.2} }
#declare i=0
#while (i<onum)
sphere{<0,olength+irad/2,0>,olength scale<owidth,1,.03> rotate <0,0,(-360/onum)*i>
texture{
     pigment {ocol}
     finish{ambient 0.1 phong .5 phong_size 20}}
      }

#declare i=i+1
#end }
rotate<80,0,0>
translate<-15,0,53>
no_shadow
}

// now lets do the butterflys, the one in front without any shadow

#declare WithoutShadow=1
#declare Flying=0
#declare WingType=5
#declare WingAngle=15
#declare WingText=
texture{pigment{image_map{
  png "fract914.png"
  map_type 0
  interpolate 2
  }
   }
  finish {ambient 0.5}
  rotate <90,180,0>
  translate <0,0,0.3>
  scale z*1.8
  }

#include "butterfl.inc"
object {ButterFly scale 4.5 rotate < -10,20,0>
translate <0,1,-.5>}


#declare WithoutShadow=0

#declare Flying=1
#declare WingAngle=45
#declare WingType=2
#declare WingText=
texture{pigment{image_map{
  png "fract903.png"
  map_type 0
  interpolate 2
  }
   }
  finish {ambient 0.5 }
  rotate <90,180,0>
  translate .5*z
  scale <1.0,1.6,2.5>
  }
#include "butterfl.inc"
object {ButterFly scale 3 rotate < 0,225,0>
translate <2.7,4,0>}

#declare Flying=1
#declare WingAngle=35
#declare WingType=2
#declare WingText=
texture{pigment{image_map{
  png "fract906.png"
  map_type 0
  interpolate 2
  }
   }
  finish {ambient 0.5 }
  rotate <90,180,0>
  translate .5*z
  scale 1.6
  }
#include "butterfl.inc"
object {ButterFly scale 3 rotate < 0,130,0>
translate <-4,2,3>}


#declare Flying=0
#declare WingAngle=0
#declare WingType=2
#declare WingText=
texture{pigment{color Blue}
  finish {ambient 0.5 }
  rotate <90,0,0>
  translate .5*z
  scale 1.6
  }
#include "butterfl.inc"
object {ButterFly scale 4
rotate<-10,0,00>
translate<-15,.3,47>
}


//do a nice background (only if quick was declared to 0)

#if (quick=0)

plane{y,-13 pigment{color Green*0.8} normal{bumps 0.3 scale 10} finish{ambient 0.2}}

sky_sphere { S_Cloud2 rotate x*45}

#declare Rainbow_Map =
color_map {
         [0.00 color rgbt <1.0,0.5,1.0,1.0>]
         [0.20 color rgbt <0.4,0.3,1.0,0.7>]
         [0.35 color rgbt <0.0,1.0,0.0,0.7>]
         [0.45 color rgbt <0.0,1.0,0.0,0.7>]
         [0.50 color rgbt <1.0,1.0,0.0,0.7>]
         [0.60 color rgbt <1.0,1.0,0.0,0.7>]
         [0.75 color rgbt <1.0,0.3,0.3,0.7>]
         [1.00 color rgbt <1.0,0.5,0.5,1.0>]
}

// **** Rainbow in front
  rainbow {
	color_map {Rainbow_Map}
	direction <0.2,-0.15,1>
	angle 20.5  //28.5
	width 12
	distance 3550
	jitter 0.01
	up <0,1,0>
	arc_angle 240
	falloff_angle 120
          }
#end
