
// Persistence of Vision Ray Tracer Scene Description File
// File:  butterfd.pov
// Vers:  3
// Desc:  Butterfly demo File
// Auth:  Peter Engels
// EMail: ENGELSPJ@AOL.COM

#declare FastButterfly=0  // set to 1 for development

 #include "colors.inc"

 background {Gray50}

  camera {
    location <0, 0, -5.5>
    look_at <0, 0.3, 0>
         }

  light_source { <0, 0, -20> color White shadowless}

#declare WingAngle=89
#declare WingType=1

#declare WingText=
texture{pigment{image_map{
  png "fract906.png" // the file to read (iff/png/tga/png/sys)
  map_type 0 // 0=planar, 1=spherical, 2=cylindrical, 5=torus
  interpolate 2 // 0=none, 1=linear, 2=bilinear, 4=normalized distance
  }
   }
  finish {ambient 0.5 reflection 0.40 phong_size 50 phong 1}
  rotate <90,180,0>
  translate 0.5*z
  scale 1.5
  }


//********  upper ROW  ***********
#declare WingType=1
#include "butterfl.inc"
object {ButterFly rotate < 0,-90, 0> translate <-4, 2,2>}

#declare WingType=2
#include "butterfl.inc"
object {ButterFly rotate < 0,-90, 0> translate <-2, 2,2>}

#declare WingType=3
#include "butterfl.inc"
object {ButterFly rotate < 0,-90, 0> translate < 0, 2,2>}

#declare WingType=4
#include "butterfl.inc"
object {ButterFly rotate < 0,-90, 0> translate < 2, 2,2>}

#declare WingType=5
#include "butterfl.inc"
object {ButterFly rotate < 0,-90, 0> translate < 4, 2,2>}

//********  middle ROW  ***********

#declare WingAngle=0

#declare WingType=1
#include "butterfl.inc"
object {ButterFly rotate < -90,0, 0> translate <-4, 0,2>}

#declare WingType=2
#include "butterfl.inc"
object {ButterFly rotate < -90,0, 0> translate <-2, 0,2>}

#declare WingType=3
#include "butterfl.inc"
object {ButterFly rotate < -90,0, 0> translate < 0, 0,2>}

#declare WingType=4
#include "butterfl.inc"
object {ButterFly rotate < -90,0, 0> translate < 2, 0,2>}

#declare WingType=5
#include "butterfl.inc"
object {ButterFly rotate < -90,0, 0> translate < 4, 0,2>}

//********  lower ROW  ***********

#declare WingType=1
#declare WingText=
texture{pigment{image_map{
  png "fract903.png" // the file to read (iff/png/tga/png/sys)
  map_type 0 // 0=planar, 1=spherical, 2=cylindrical, 5=torus
  interpolate 2 // 0=none, 1=linear, 2=bilinear, 4=normalized distance
  }
   }
  finish {ambient 0.5 reflection 0.40 phong_size 50 phong 1}
  rotate <90,180,0>
  translate 0.5*z
  scale 1.6
  }
#include "butterfl.inc"
object {ButterFly rotate < -90, 0, 0> translate <-4,-2,2>}

#declare WingText=
texture{pigment{image_map{
  png "peter901.png" // the file to read (iff/png/tga/png/sys)
  map_type 0 // 0=planar, 1=spherical, 2=cylindrical, 5=torus
  interpolate 2 // 0=none, 1=linear, 2=bilinear, 4=normalized distance
  }
   }
  finish {ambient 0.5 reflection 0.40 phong_size 50 phong 1}
  rotate <90,180,0>
  translate 0.5*z
  scale 1.6
  }
#include "butterfl.inc"
object {ButterFly rotate < -90, 0, 0> translate <-2,-2,2>}

#declare WingText=
texture{pigment{image_map{
  png "fract906.png" // the file to read (iff/png/tga/png/sys)
  map_type 0 // 0=planar, 1=spherical, 2=cylindrical, 5=torus
  interpolate 2 // 0=none, 1=linear, 2=bilinear, 4=normalized distance
  }
   }
  finish {ambient 0.5 reflection 0.40 phong_size 50 phong 1}
  rotate <90,180,0>
  translate 0.5*z
  scale 1.6
  }
#include "butterfl.inc"
object {ButterFly rotate < -90, 0, 0> translate < 0,-2,2>}

#declare WingText=
texture{pigment{image_map{
  png "fract912.png" // the file to read (iff/png/tga/png/sys)
  map_type 0 // 0=planar, 1=spherical, 2=cylindrical, 5=torus
  interpolate 2 // 0=none, 1=linear, 2=bilinear, 4=normalized distance
  }
   }
  finish {ambient 0.5 reflection 0.40 phong_size 50 phong 1}
  rotate <90,180,0>
  translate 0.5*z
  scale 1.6
  }
#include "butterfl.inc"
object {ButterFly rotate < -90, 0, 0> translate < 2,-2,2>}

#declare WingText=
texture{pigment{image_map{
  png "fract914.png" // the file to read (iff/png/tga/png/sys)
  map_type 0 // 0=planar, 1=spherical, 2=cylindrical, 5=torus
  interpolate 2 // 0=none, 1=linear, 2=bilinear, 4=normalized distance
  }
   }
  finish {ambient 0.5 reflection 0.40 phong_size 50 phong 1}
  rotate <90,180,0>
  translate 0.5*z
  scale 1.6
  }
#include "butterfl.inc"
object {ButterFly rotate < -90, 0, 0> translate < 4,-2,2>}


